// Copyright 1998-2014 Epic Games, Inc. All Rights Reserved.

using UnrealBuildTool;

public class PolishBuildings : ModuleRules
{
	public PolishBuildings(TargetInfo Target)
	{
        PrivateIncludePaths.AddRange(
            new string[] {
				"Private",
                "Private/PolishBuildingsTool",
                "Private/BuildingsProxyTool"
            }
        );

        PrivateIncludePathModuleNames.AddRange(
			new string[] {
				"AssetRegistry",
                "ContentBrowser",
                "Documentation",
                "LevelEditor",
                "MeshUtilities",
                "PropertyEditor",
                "RawMesh",
                "WorkspaceMenuStructure"
			}
		);

		PrivateDependencyModuleNames.AddRange(
			new string[] {
				"Core",
				"CoreUObject",
				"Engine",
                "InputCore",
				"Slate",
				"SlateCore",
                "EditorStyle",
				"UnrealEd",
			}
		);

		DynamicallyLoadedModuleNames.AddRange(
			new string[] {
				"AssetRegistry",
                "ContentBrowser",
                "Documentation",
                "LevelEditor",
                "MeshUtilities",
                "PropertyEditor"
			}
		);
	}
}
