// Project Lab - NHTV Igad

#pragma once

UENUM(BlueprintType)
enum class PlayerKeyType : uint8
{
	BossRoomKeyPart0 = 0,
	BossRoomKeyPart1 = 1,
	BossRoomKeyPart2 = 2,
	TreasureRoomKey = 3,
	None = 4,
};

constexpr int32 keyFragmentMin = (int32)PlayerKeyType::BossRoomKeyPart0;
constexpr int32 keyFragmentMax = (int32)PlayerKeyType::BossRoomKeyPart2;
