#pragma once

#include "MenuAction.Generated.h"

UENUM(BlueprintType)
enum class EMenuActionBinding : uint8
{
	Confirm,
	Back,
	Opt1,
	Opt2,
	Start,
	Up,
	Down,
	Left,
	Right,
	Repeat_Left,
	Repeat_Right,
	Trigger_Left,
	Trigger_Right,
	Shoulder_Left,
	Shoulder_Right,
	Options,

	// These are actually just for button hint icons
	// don't use these for actual actions as they wont get used
	LeftStick,
	RightStick,
	DPad,
	ShoulderButtons,
	Triggers
};