// Project Lab - NHTV Igad

#pragma once

#include "GameFramework/Actor.h"
#include "PlayerSpawn.generated.h"

UCLASS()
class UNREALPROJECT_API APlayerSpawn : public AActor
{
	GENERATED_BODY()

public:
	APlayerSpawn();
	virtual void BeginPlay() override;

	UPROPERTY(EditAnywhere, Category = "Gamestate Components")
	int32 assignedTeam;

	UPROPERTY(VisibleAnywhere, BlueprintReadOnly, Category = Display)
	class UStaticMeshComponent* displayMesh;
	UPROPERTY(VisibleAnywhere, BlueprintReadOnly, Category = Display)
	class UArrowComponent* displayArrow;

};
