namespace UnrealBuildTool.Rules
{
	public class CustomBlueprintsEditor : ModuleRules
	{
		public CustomBlueprintsEditor(TargetInfo Target)
		{
            PrivateIncludePaths.AddRange(
                new string[] {
                    "Editor/BlueprintGraph/Private",
                    "Editor/KismetCompiler/Public",
                }
            );

            PublicDependencyModuleNames.AddRange(
                new string[] {
                    "Core",
                    "CoreUObject",
                    "Engine",
                    "InputCore",
                    "Slate",
                    "EditorStyle",
                    "AIModule",
                }
            );

            PrivateDependencyModuleNames.AddRange(
                new string[] {
                "EditorStyle",
                "KismetCompiler",
                "UnrealEd",
                "GraphEditor",
                "SlateCore",
                "Kismet",
                "BlueprintGraph"
                }
            );
        }
	}
}